# Perforce Server Log Analyzers

Log analyzers are useful to identify common issues on a Perforce
server quickly.

For more background information, please see:

https://community.perforce.com/s/article/5470

https://community.perforce.com/s/article/2514

There are 4 main options as shown below.

# log2sql - Go executable

This has replaced `log2sql.py` more recent - it builds a compatible Sqlite database, is faster and more up-to-date.

The build databases are compatible with the Flask web application mentioned below.
**For more details, see:**

* the [GitHub Project](https://github.com/rcowham/go-libp4dlog) repository on GitHub.
* the [Latest Binary Releases](https://github.com/rcowham/go-libp4dlog/releases/latest)

Binary releases for Linux/Mac/Windows are available.

# log2sql.py - deprecated!!

This replaced log_analyzer.php.
Big advantage is that it has a fairly comprehensive test harness
and processes all manner of recently observed log file scenarios. 

**Now replaced by log2sql as above!!!**

In addition, there is an associated Python Flask-based web app
which runs various pre-canned queries and charts. It is setup to 
run inside a Docker container for ease of isolation of environment.

# log_analyzer.php - deprecated!!

This is a PHP script that turns a `P4LOG` into a SQLite database
and generate canned reports from it.

**Now replaced by log2sql as above!!!**

For more information, please refer to the following KB
article:

https://community.perforce.com/s/article/1266


# p4clog.py - deprecated!!

A Python script that scans through a `P4LOG` file quickly and
generate data suitable for generating graphs.

https://swarm.workshop.perforce.com/downloads/guest/perforce_software/log-analyzer/psla/p4clog.py
